function MessageFromMenu(nCount,Param1)
-- if Param1==2000029 then
	-- CreateWindow(200,200,"1",100,"messageinfo") 
-- return;end;
showoptons(0);
return;end;

function mini_create ()
show_help_wnd=true;
	init_mini(1);
  -- ОПИСАНИЕ ПАРАМЕТРОВ ИГРЫ НЕСОКОБАН
--  1-й параметр - Код игры. Для этой игры код - 23
--  2-й параметр - X-координата верхнего левого угла игрового поля.
--  3-й параметр - Y-координата верхнего левого угла игрового поля.
--  4-й параметр - X-координата правого нижнего угла игрового поля.
--  5-й параметр - Y-координата правого нижнего угла игрового поля.
--  6-й параметр - X-координата верхнего левого угла коридора, который нужно освободить.
--  7-й параметр - Y-координата верхнего левого угла коридора, который нужно освободить.
--  8-й параметр - X-координата правого нижнего угла коридора, который нужно освободить.
--  9-й параметр - Y-координата правого нижнего угла коридора, который нужно освободить.
-- 10-й параметр - Количество перемещаемых элементов.
-- 11-й параметр - Стартовый идентификатор первого элемента.

-- P.S. Ещё один параметр нужный для каждого объекта игры передаётся через
--      функцию "SetPossibleDirection". Первый параметр которой - идентификатор
--      объекта, второй - возможное направление движения:
--      0 - объект не может двигаться;
--      1 - объект двигается только по горизонтали;
--      2 - объект двигается только по вертикали;
--      3 - объект двигается по всем направлениям - НЕ РЕАЛИЗОВАНО!.
	create_mini(23,220,82,709,566,390,245,709,325,10,1003);
  
  -- ОПИСАНИЕ ПАРАМЕТРОВ ДЛЯ ФУНКЦИИ check_mini_game_NO_SKB.
--  1-й параметр - Тип события:
--                  0 - LBUTTONDOWN;
--                  2 - LBUTTONUP.
end;
--function mini_msg_proc (id)
function gameinput (sender,id,attachedID)

	if sender==2 then
	   if id==2000029 then 
			CreateWindow(200,200,"1",100,"messageinfo") 
	   return;end;
	   if id== 2000028 then 
			MessageProc(sender,id); 
		return;end;	  	   
	return;end;
	
	if sender==30 then
		setcurentleaf("garage",14,0);
		DarkScreen(false);
		if flags.minicomplete then
		    StopEmiter("Bike");
			speciale_action(2,208);
			setcolor(208,0,0,0,1,1);
			Set_Cursor(31,3);
			Set_Cursor(27,3);
			speciale_action(2,33);
			speciale_action(2,31,true);
			speciale_action(2,1031,true);
			speciale_action(2,27);
			flags.bikeout=true;
			
		return; end;
	return; end;
	if sender==16 then
		if not help then
			help=true;
			CreateWindow(200,200,"1",100,"messageinfo")
		end;	
	   BlockCursor(false);
	return;end;
	if sender==10 then
		playeffect("miniC");
		flags.minicomplete=true;
		if skipgame then
		   clear_satelite_leaf("garage");
		return;end;
		BlockCursor(true);
		MoveObjectX(1012,218,562,2);
	--	
	return; end;
	if sender==28 then
		clear_satelite_leaf("garage");
	return;end;
--	if sender==6 then
--	   finish_mini_game(true);
--	return;end	
	if sender==37 then
	   skipping=true;
	return;end;	
	
	if pause_state then
		if sender==1 or sender==6 or sender==14 then
			pause_state=false;
			set_visible_object(11111,false);
		end;	
	return;end;		
	if sender==1 then
		if id==6000 then
			   CreateWindow(200,200,"1",100,"messageinfo")
		return;end;		
		if id==1000 then
			finish_mini_game(false);
			playeffect("close");
			clear_satelite_leaf("garage");
			DeleteResource("am1_btn");
			DeleteResource("m_0003");
			DeleteResource("m_0004");
			DeleteResource("m_0005");
			DeleteResource("m_0006");

			DeleteResource("m_0008");
			DeleteResource("m_0009");
			DeleteResource("m_0010");
			DeleteResource("m_0011");
			DeleteResource("m_0012");
			DeleteResource("m_0013");			
		return;end;
		if id==5000 and skipping then
			if not flags.minicomplete then
				playeffect("skip");
				skipgame=true;
				finish_mini_game(true);
			return;end;
		return;end;
		
    if id>1002 and id<1013
      then
        check_mini_game_NO_SKB(0);
        add_to_mouse(id);
        mousepressed=true;
        objectid=id;
        return;
      end;
	end;
	if sender==6
    then
    if mousepressed then
	  playeffect("boxes");
      RemoveFromMouse(objectid);
      check_mini_game_NO_SKB(2);
      mousepressed=false
      objectid=0
    return;end;  
    end;
end;
function mini_delete ()

end;